<script setup>
  import Scene3D from './components/Scene3D.vue'
</script>

<template>
  <Scene3D />

  <!-- les sections, TODO: créer un composant contenut de la page -->
  <section class="section">
    <h1>FIFO</h1>
  </section>
  <section class="section">
      <h2>Amuse toi bien</h2>
  </section>
  <section class="section">
      <h2>😈</h2>
  </section>
</template>

<style>
  #app {
    font-family: Avenir, Helvetica, Arial, sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-align: center;
    background: rgb(14,103,98);
    background: linear-gradient(0deg, rgba(14,103,98,1) 0%, rgba(11,54,99,1) 100%);
  }

  *
  {
      margin: 0;
      padding: 0;
  }
  .section
  {
      display: flex;
      align-items: center;
      height: 100vh;
      position: relative;
      font-family: 'Cabin', sans-serif;
      color: #ffeded;
      text-transform: uppercase;
      font-size: 7vmin;
      padding-left: 10%;
      padding-right: 10%;
  }

  section:nth-child(odd)
  {
      justify-content: flex-end;
  }
</style>
